wiki:OpenMP

Version 1 (modified by Sebastian Huber, on Apr 8, 2015 at 9:00:52 AM) (diff)

--

Tool Chain Requirements

OpenMP support for RTEMS is available in GCC 4.9.3, 5.1 or later. Currently is uses the POSIX configuration of libgomp. Thread-local storage is enabled using the local-exec model. A Newlib version after 2015-03-12 is required. To enable the OpenMP support for GCC add the --enable-libgomp option to the GCC configure command line.

OpenMP Validation

The OpenMP 3.1 Validation Suite was used to validate the OpenMP support. Due to some problems with this test suite results are currently not available. There are two related bug reports to GCC Bug 65385 and Bug 65386.

Performance Observations

Not yet available.